Package: org.gradle

## [Java] Class BuildResultLogger

- org.gradle.BuildResultLogger

- A BuildListener which logs the final result of the build.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildResultLogger (org.gradle.logging.StyledTextOutputFactory textOutputFactory, org.gradle.util.Clock buildTimeClock)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildFinished(BuildResult result)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BuildAdapter` | `buildFinished, buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BuildResultLogger(org.gradle.logging.StyledTextOutputFactory textOutputFactory, org.gradle.util.Clock buildTimeClock)

  - ### Method Detail

    - #### public void buildFinished(BuildResult result)